(function() {
    if ($modLoader.mods.has("tagva")) {
        if ($modLoader.mods.get("tagva").enabled) {
            alert("You cannot run the DEMO TAG VA mod together with the FANMADE TAG VA mod. As a result, the DEMO TAG VA mod will not work. Please disable the FANMADE TAG VA mod to use the DEMO TAG VA mod.");
            return;
        }
    }
    let old = Game_Party.prototype.sortMembersForTag;
    const lut = {
        2: "AUBREY",
        3: "KEL",
        4: "HERO"
    };
    const lutse = {
        2: "SEtag_aubrey",
        3: "SEtag_kel",
        4: "SEtag_hero"
    }
    Game_Party.prototype.sortMembersForTag = function(sanityCheckBase) {
        if (typeof $gameVariables.value(144) === "string") {
            if ($gameVariables.value(144).startsWith("DW")) {
                // SANITY CHECK
                if (lut.hasOwnProperty(sanityCheckBase)) {
                    if ($gameVariables.value(144).endsWith(lut[sanityCheckBase])) {
                        AudioManager.playSe({name:lutse[sanityCheckBase], volume: 100, pitch: 100})
                        $gameVariables.setValue(144, 0);
                    }
                }
            }
        }
        old.bind(this)(...arguments);
    }

    let oldDm = DataManager.extractSaveContents;
    DataManager.extractSaveContents = function() {
        oldDm.bind(this)(...arguments);
        $gameVariables.setValue(144, 0);
    }
})();